Package nu.xom

# Class XPathTypeException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
nu.xom.XPathException
nu.xom.XPathTypeException

All Implemented Interfaces:
  `Serializable`

public class XPathTypeException extends XPathException

Indicates that an XPath query returned a non-node-set.

Version:
  1.2.4
Author:
  Elliotte Rusty Harold
See Also:
  - Serialized Form

## Method Summary

Modifier and Type
Method
Description
`String`
`getMessage()`
`Object`
`getReturnValue()`
This method usually returns the actual object returned by the query.

### Methods inherited from class nu.xom.XPathException

`getCause, getXPath, initCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### getReturnValue

public Object getReturnValue()

This method usually returns the actual object returned by the query. However, XOM makes no guarantees about the type of this object.

Returns:
  the query result

### getMessage

public String getMessage()

Overrides:
  `getMessage` in class `Throwable`